%h3.page-title
  = t("profiles.my_appearance_settings")
%p.light
  = t("profiles.appearance_settings_saved_and_available")
%hr

= form_for @user, url: profile_path, remote: true, method: :put do |f|
  %fieldset.application-theme
    %legend
      = t("profiles.application_theme")
    .themes_opts
      = label_tag do
        .prev.default
        = f.radio_button :theme_id, 1
        = t("profiles.default")

      = label_tag do
        .prev.classic
        = f.radio_button :theme_id, 2
        = t("profiles.classic")

      = label_tag do
        .prev.modern
        = f.radio_button :theme_id, 3
        = t("profiles.modern")

      = label_tag do
        .prev.gray
        = f.radio_button :theme_id, 4
        = t("profiles.gray")

      = label_tag do
        .prev.violet
        = f.radio_button :theme_id, 5
        = t("profiles.violet")

      = label_tag do
        .prev.ideus
        = f.radio_button :theme_id, 6
        Ideus
    %br
    .clearfix

  %fieldset.code-preview-theme
    %legend
      = t("profiles.code_preview_theme")
    .code_highlight_opts
      - color_schemes.each do |color_scheme_id, color_scheme|
        = label_tag do
          .prev
            = image_tag "#{color_scheme}-scheme-preview.png"
          = f.radio_button :color_scheme_id, color_scheme_id
          = color_scheme.gsub(/[-_]+/, ' ').humanize
